# List Companies

### Input

<table><thead><tr><th width="181">Attribute</th><th width="348">Type</th><th>Description</th><th>Required</th></tr></thead><tbody><tr><td>cvrNumber</td><td>String</td><td>CVR number of the searched company</td><td>Only of these is requred.</td></tr><tr><td>name</td><td>String</td><td>The name of the searched company</td><td>Only of these is requred.</td></tr></tbody></table>

### Output

<table><thead><tr><th width="181">Attribute</th><th width="348">Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td>String</td><td>The name of the found company</td></tr><tr><td>cvrNumber</td><td>String</td><td>CVR number of the found company</td></tr><tr><td>type</td><td>String</td><td>The type of the found company</td></tr></tbody></table>

### Output Example

```
[
    {
      "name": "CARLSBERG FINANS A/S",
      "cvrNumber": "12867336",
      "type": "Virksomhed"
    },
    {
      "name": "CARLSBERG A/S",
      "cvrNumber": "61056416",
      "type": "Virksomhed"
    },
    {
      "name": "CARLSBERG DANMARK A/S",
      "cvrNumber": "25508386",
      "type": "Virksomhed"
    }
  ]
```

####


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/cvr-danish-central-business-register/company-profile/list-companies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
